#!/bin/sh
#
EXT=iftop
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash squashfs-tools \
		libpcap-dev ncurses-dev
	do tce-load -i $a
done

#make clean
./configure \
	--localstatedir=/var \
	--enable-default-promiscuous \
	--with-resolver=netdb_1thread \
	--with-libpcap=/usr/local \
	|| exit

make || exit

if [ $(grep -q '^install-strip:' Makefile) ]; then
	make install-strip DESTDIR=$TCZ || exit
else
	make install DESTDIR=$TCZ || exit
	for a in $(find $TCZ -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip $a; done
fi

sudo chown -R root.root $TCZ*

mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend

